Name:		ttx
Version:	0.0.5
Release:	%mkrel 1
Summary:	Teletext browser for several European teletext services
License:	GPLv3
Group:		Networking/News
URL:		http://code.google.com/p/%{name}-teletext/
Source0:	http://ttx-teletext.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.42
Obsoletes:	ttb < 1.0.2-1
Provides:	ttb = 1.0.2-1

%description
Teletext-browser with support for Austrian, Belgian, Croatian, Dutch, Finnish,
German, Italian, Portuguese, Slovenian and Spanish teletext services.
It is the successor to the TTB Teletekst Browser, which functioned from 2004
until 2013, until the Dutch teletext service changed its interface.
TTB was in Python, but TTX is written in C. TTX is very young, but the basics
work.

%prep
%setup -q

%build
%configure2_5x

%make

%install
%makeinstall_std
desktop-file-install --remove-key=Encoding \
--remove-category='Network' \
--add-category='Network' \
%{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %name

%files -f %{name}.lang
%doc AUTHORS NEWS README.org
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/glib-2.0/schemas/nl.djcbsoftware.%{name}.gschema.xml
%{_iconsdir}/*/*/*/*


%changelog
* Fri Dec 20 2013 marja <marja> 0.0.5-1.mga4
+ Revision: 559290
- replace patch with desktop-file-install instructions
- add patch for desktop file and improve BR
- imported package ttx
- ttx replaces broken ttb mga#10547

